Skip to main content
GET
/
site-visits
List site visits
curl --request GET \
  --url https://sitevisit.app/api/v1/site-visits \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "propertyId": "<string>",
      "propertyName": "<string>",
      "title": "<string>",
      "visitDate": "2023-11-07T05:31:56Z",
      "recipients": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "actionItemCount": 123,
      "openActionItemCount": 123,
      "publicReportUrl": "<string>",
      "summary": "<string>",
      "notes": "<string>",
      "sentAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
starting_after
string

ID of the last seen item from the previous page.

property_id
string
status
enum<string>
Available options:
DRAFT,
PROCESSING,
READY,
SENT,
DONE

Response

Paginated list of resources.

data
object[]
required
has_more
boolean
required
next_cursor
string | null
required